Bug 806121 - configure defined in /usr/lib/rpm/redhat/macros ignores _configure
configure defined in /usr/lib/rpm/redhat/macros ignores _configure
Status: CLOSED DUPLICATE of bug 652084
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 19:53 EDT by devurandom
Modified: 2012-08-20 03:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 04:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description devurandom 2012-03-22 19:53:33 EDT
Description of problem:
According to rpm(8) the order of reading macro definitions is:
   Macro Configuration
       /usr/lib/rpm/macros
       /usr/lib/rpm/redhat/macros
       /etc/rpm/macros
       ~/.rpmmacros

Which means that even though /usr/lib/rpm/macros defines:
%configure \
  ...
  %{_configure} --host=%{_host} --build=%{_build} \\\
  ...

/usr/lib/rpm/redhat/macros overrides it as:
%configure \
  ...
  ./configure --build=%{_build} --host=%{_host} \\\

So the value of _configure will be ignored, even though it is necessary to compile some packages (like python3 from pkgs.fedoraproject.org).

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/lib/rpm/redhat/macros
redhat-rpm-config-9.0.3-34.el6.sl.noarch
$ rpm -qf /usr/lib/rpm/macros
rpm-4.8.0-19.el6.x86_64
Comment 6 RHEL Product and Program Management 2012-05-03 00:46:20 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 7 devurandom 2012-05-03 03:28:01 EDT
Since the fix is so damn simple (s.b.), it would be nice if you could include it in RHEL 6.4 anyway.


--- /usr/lib/rpm/redhat/macros.orig     2012-05-03 09:26:30.055106442 +0200
+++ /usr/lib/rpm/redhat/macros  2012-05-03 09:26:51.112107285 +0200
@@ -31,7 +31,7 @@
   CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
   CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
   FFLAGS="${FFLAGS:-%optflags -I%_fmoddir}" ; export FFLAGS ; \
-  ./configure --build=%{_build} --host=%{_host} \\\
+  %{_configure} --build=%{_build} --host=%{_host} \\\
        --target=%{_target_platform} \\\
        --program-prefix=%{?_program_prefix} \\\
        --prefix=%{_prefix} \\\
Comment 9 Panu Matilainen 2012-05-03 04:28:57 EDT

*** This bug has been marked as a duplicate of bug 652084 ***
Comment 10 devurandom 2012-05-03 11:16:01 EDT
(In reply to comment #9)
> *** This bug has been marked as a duplicate of bug 652084 ***
"You are not authorized to access bug #652084."

Would be nice if you could fix that, so I can have a look at the other bug myself.
Comment 11 devurandom 2012-08-20 03:36:35 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > *** This bug has been marked as a duplicate of bug 652084 ***
> "You are not authorized to access bug #652084."
> 
> Would be nice if you could fix that, so I can have a look at the other bug
> myself.
I still am not allowed to see that bugreport. Could you please change that?

Note You need to log in before you can comment on or make changes to this bug.